glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Marshalling utilities Utility class for internal wrapper use
- Method
  2.12.0.0
  System.Obsolete("Use GLib.Argv instead to avoid leaks.")
  System.IntPtr `` a Obsolete. a Replaced by
- Method
  2.12.0.0
  System.Obsolete("Use GLib.Argv instead to avoid leaks.")
  System.String[] `` `` a a Obsolete. a Replaced by
- Method
  2.12.0.0
  System.UInt32 `` a Marshals a UTF16 char to a UCS4 character represented as an uint. a
- Method
  2.12.0.0
  System.IntPtr `` a Marshals DateTime structures to native time_t values. a
- Method
  2.12.0.0
  System.String `` A native filename-encoded string pointer. Marshals a native filename-encoded string to a managed string. A managed string. The native pointer is not freed after marshaling. Use with const strings.
- Method
  2.12.0.0
  System.String `` A native filename-encoded string pointer. Marshals a native filename-encoded string to a managed string. A managed string. The native pointer is freed after marshaling.
- Method
  2.12.0.0
  System.Void `` a Free a native pointer allocated by GLib.
- Method
  2.12.0.0
  System.Void `` An array of native memory addresses. Frees an array of native memory locations.
- Method
  2.12.0.0
  System.Char `` a Marshals a UCS4 character represented as an uint to a UTF16 char. a
- Method
  2.12.0.0
  System.Array `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Array `` `` The list to be marshaled. The type of the list elements. Marshals a native list to a typed array. An array of .
- Method
  2.12.0.0
  System.IntPtr `` Size in bytes to be allocated. Allocates a block of heap memory using the glib allocator. A pointer to the block.
- Method
  2.12.0.0
  System.String[] `` `` Pointer to a null-terminated string array. Indicates if the memory is owned and should be released. Marshals a native null-terminated string array to a managed string array. an array of managed strings.
- Method
  2.12.0.0
  System.Array `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.String[] `` Pointer to a null-terminated string array. Marshal a null-terminated string array to a managed array. A string array.
- Method
  2.12.0.0
  System.String `` a Marshals a utf8 string from native memory and frees the native string. a
- Method
  2.12.0.0
  System.String[] `` a Marshals an array of utf8 string from native memory and frees the native strings. a
- Method
  2.12.0.0
  System.Void `` Pointer to a native null-terminated string array. Frees a string array, including its member strings.
- Method
  2.12.0.0
  System.IntPtr[] `` an array of strings. Marshals a managed string array to a native null-terminated array. An array of native string pointers.
- Method
  2.12.0.0
  System.String `` `System.ParamArray` a -style format string arguments for Wrapper for marshalling between String.Format-style methods and printf-style ones a This is a wrapper for marshalling between managed String.Format-style methods and unmanaged printf-style ones. The managed function should take a format, and a array of , and pass that to . will format the data, and then make sure that any percent signs in the result are doubled so that they can safely be passed to an unmanaged method that expects a printf-style string (and following arguments).
- Method
  2.12.0.0
  System.IntPtr `` A managed string to be marshaled. Marshals a string to a filename encoded native pointer. A pointer to a newly allocated native string.
- Method
  2.12.0.0
  System.IntPtr `` a Marshal a string to a native Utf8 string using GLib memory allocation. a
- Method
  2.12.0.0
  System.IntPtr `` the structure to marshal Marshals a structure to newly-allocated memory. a pointer to the newly-allocated memory This is like except that it allocates the memory for the unmanaged copy itself. You should free the memory with when you are done with it.
- Method
  2.12.0.0
  System.DateTime `` a Marshals native time_t values to DateTime values. a
- Method
  2.12.0.0
  System.String `` a Marshals a native Utf8 string to a managed string. a
- Method
  2.12.0.0
  System.String[] `` a Marshals an array of native Utf8 strings to an array of managed strings. a